Package docking.widgets.table.constrainteditor

# Class DoNothingColumnConstraintEditor<T>

java.lang.Object
docking.widgets.table.constrainteditor.AbstractColumnConstraintEditor<T>
docking.widgets.table.constrainteditor.DoNothingColumnConstraintEditor<T>

Type Parameters:
  `T` - the column type.

All Implemented Interfaces:
  `ColumnConstraintEditor<T>`

public class DoNothingColumnConstraintEditor<T> extends AbstractColumnConstraintEditor<T>
Editor for constraints that don't have a value that needs editing. The "IsEmpty" constraint is an example of a constraint that doesn't need an editor.

- ## Field Summary

  ### Fields inherited from class docking.widgets.table.constrainteditor.AbstractColumnConstraintEditor

  `currentConstraint, INVALID_INPUT_COLOR, VALID_INPUT_COLOR`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DoNothingColumnConstraintEditor(ColumnConstraint<T> constraint)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected Component`
  `buildInlineEditorComponent()`
  Delegate the construction of the inline editor component.
  `protected boolean`
  `checkEditorValueValidity()`
  Template method that subclasses must implement.
  `String`
  `getErrorMessage()`
  If the editor contains and invalid value, this message should indicate why the value is invalid.
  `protected ColumnConstraint<T>`
  `getValueFromComponent()`
  Get the constraints' new value from the editor component.
  `void`
  `reset()`
  Reset the editor to a known-good state.
  `protected void`
  `updateEditorComponent()`
  Indicates to subclasses that the constraint has changed, and the user interface needs to be updated to reflect the new state.
  `protected void`
  `updateInfoMessage(boolean isValid)`

  ### Methods inherited from class docking.widgets.table.constrainteditor.AbstractColumnConstraintEditor

  `addChangeListener, buildDetailEditorComponent, formatStatus, getDetailComponent, getInlineComponent, getValue, hasEditorComponents, hasValidValue, notifyConstraintChanged, removeChangeListener, setValue, valueChanged`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DoNothingColumnConstraintEditor

    public DoNothingColumnConstraintEditor(ColumnConstraint<T> constraint)

- ## Method Details

  - ### reset

    public void reset()
    Description copied from interface: `ColumnConstraintEditor`
    Reset the editor to a known-good state.

  - ### getErrorMessage

    public String getErrorMessage()
    Description copied from interface: `ColumnConstraintEditor`
    If the editor contains and invalid value, this message should indicate why the value is invalid. Only called if `hasValidValue()` returns false.
    Returns:
      an error message, or an empty string if no error

  - ### getValueFromComponent

    protected ColumnConstraint<T> getValueFromComponent()
    Description copied from class: `AbstractColumnConstraintEditor`
    Get the constraints' new value from the editor component. This expects the UI to have been constructed.
    Specified by:
      `getValueFromComponent` in class `AbstractColumnConstraintEditor<T>`
    Returns:
      the value
    See Also:
      - `AbstractColumnConstraintEditor.getValue()`

  - ### buildInlineEditorComponent

    protected Component buildInlineEditorComponent()
    Description copied from class: `AbstractColumnConstraintEditor`
    Delegate the construction of the inline editor component.
    Specified by:
      `buildInlineEditorComponent` in class `AbstractColumnConstraintEditor<T>`
    Returns:
      the editors inline component
    See Also:
      - `AbstractColumnConstraintEditor.getInlineComponent()`

  - ### updateEditorComponent

    protected void updateEditorComponent()
    Description copied from class: `AbstractColumnConstraintEditor`
    Indicates to subclasses that the constraint has changed, and the user interface needs to be updated to reflect the new state.
    Specified by:
      `updateEditorComponent` in class `AbstractColumnConstraintEditor<T>`

  - ### updateInfoMessage

    protected void updateInfoMessage(boolean isValid)
    Specified by:
      `updateInfoMessage` in class `AbstractColumnConstraintEditor<T>`

  - ### checkEditorValueValidity

    protected boolean checkEditorValueValidity()
    Description copied from class: `AbstractColumnConstraintEditor`
    Template method that subclasses must implement. This class will call this method whenever the value changes so that the validity state is updated.

    Only called when the editor component has been constructed and UI elements are defined.

    Specified by:
      `checkEditorValueValidity` in class `AbstractColumnConstraintEditor<T>`
    Returns:
      true if the UI defines a valid value, false otherwise
    See Also:
      - `ColumnConstraintEditor.hasValidValue()`